> This page is for Plattform, version V4 Experimental.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 Experimental: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - Vorgängerversion: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# Ordner auflisten

GET https://api.frame.io/v4/accounts/{account_id}/folders/{folder_id}/folders

List folders in a given folder.
This endpoint has been added to `Current Version` of the API.
Please see [https://next.developer.frame.io/platform/v4/api-reference/folders/list](https://next.developer.frame.io/platform/v4/api-reference/folders/list).
Rate Limits: 5 calls per 1 second(s) per account\_user

Reference: https://next.developer.frame.io/platform/api-reference/folders/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)
- `folder_id` (string, required)

### Query parameters

- `include` (enum, optional)
  - Allowed values: `creator`, `project`, `metadata`
- `sort` (enum, optional) — Sort folders by query params
  - Allowed values: `name_asc`, `created_at_asc`, `updated_at_asc`, `name_desc`, `created_at_desc`, `updated_at_desc`
- `after` (string, optional) — Opaque Cursor query param for requests returning paginated results. NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.
- `page_size` (integer, optional, default: 50)
- `include_total_count` (boolean, optional, default: false)

### Headers

- `api-version` (enum, required)
  - Allowed values: `experimental`

## Response

### 200

OK

- `data` (list of FolderWithIncludes, required) — Folders
- `links` (Links, required) — Links to paginated data
- `total_count` (integer, optional, nullable) — Total count

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### FolderWithIncludes

- `cover_file_id` (string, required, nullable) — Cover asset ID
- `id` (string, required) — File, Folder, or Version Stack ID
- `name` (string, required) — File or Folder Name
- `parent_id` (string, required, nullable) — Parent Folder or Version Stack ID
- `restricted` (boolean, required) — Folder is restricted or not
- `created_at` (string, required) — Creation timestamp
- `project_id` (string, required) — Project ID
- `type` (enum, required)
  - Allowed values: `file`, `folder`, `version_stack`
- `updated_at` (string, required) — Update timestamp
- `view_url` (string, required) — URL to view the asset in the Frame.io web application
- `adobe_id` (string, optional, nullable) — Adobe cloud storage asset identifier, when available.
- `creator` (User, optional) — User details
- `metadata` (list of MetadataField, optional) — File attributes
- `project` (ProjectWithIncludes, optional) — Frame.io Project

### Links

Links to paginated data

- `next` (string, required, nullable) — "Link to next page of data. This link is the request path with the addition of the `after` query parameter to fetch the next page of results. It only carries the `after` cursor. Other query params from the original request (e.g. `include`, `sort`, `page_size`, `include_total_count`, filters) are not preserved and must be re-added by the client on every subsequent request, including when following this link.

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### User

User details

- `active` (boolean, required, nullable) — User active status
- `avatar_url` (string, required, nullable) — User avatar image url
- `email` (string, required) — User email
- `id` (string, required, nullable) — User ID - can be null for invited users with no Frame account
- `name` (string, required, nullable) — User name
- `adobe_user_id` (string, optional, nullable) — Adobe user ID

### MetadataField

- `field_type`: `date` (DateValue)
  - `field_definition_id` (string, required) — Field definition ID
  - `field_definition_name` (string, required) — Field definition name
  - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated.
  - `value` (string, required, nullable)
- `field_type`: `long_text` (TextValue)
  - `field_definition_id` (string, required) — Field definition ID
  - `field_definition_name` (string, required) — Field definition name
  - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated.
  - `value` (string, required, nullable)
- `field_type`: `number` (NumberValue)
  - `field_definition_id` (string, required) — Field definition ID
  - `field_definition_name` (string, required) — Field definition name
  - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated.
  - `value` (double, required, nullable)
- `field_type`: `rating` (IntegerValue)
  - `field_definition_id` (string, required) — Field definition ID
  - `field_definition_name` (string, required) — Field definition name
  - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated.
  - `value` (integer, required, nullable)
- `field_type`: `select` (SelectValue)
  - `field_definition_id` (string, required) — Field definition ID
  - `field_definition_name` (string, required) — Field definition name
  - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated.
  - `value` (list of SelectOption, required)
  - `field_options` (list of SelectOption, optional)
- `field_type`: `select_multi` (MultiSelectValue)
  - `field_definition_id` (string, required) — Field definition ID
  - `field_definition_name` (string, required) — Field definition name
  - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated.
  - `value` (list of SelectOption, required)
  - `field_options` (list of SelectOption, optional)
- `field_type`: `text` (TextValue)
  - `field_definition_id` (string, required) — Field definition ID
  - `field_definition_name` (string, required) — Field definition name
  - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated.
  - `value` (string, required, nullable)
- `field_type`: `toggle` (BooleanValue)
  - `field_definition_id` (string, required) — Field definition ID
  - `field_definition_name` (string, required) — Field definition name
  - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated.
  - `value` (boolean, required, nullable)
- `field_type`: `user_multi` (MultiUserValue)
  - `field_definition_id` (string, required) — Field definition ID
  - `field_definition_name` (string, required) — Field definition name
  - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated.
  - `value` (list of UserValue, required)
  - `custom_members` (list of UserValue, optional) — Populated with custom member options only if `member_options_type` is set to 'custom'.
  - `member_options_type` (enum, optional)
    - Allowed values: `custom`, `all_project_members`
- `field_type`: `user_single` (SingleUserValue)
  - `field_definition_id` (string, required) — Field definition ID
  - `field_definition_name` (string, required) — Field definition name
  - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated.
  - `value` (list of UserValue, required)
  - `custom_members` (list of UserValue, optional) — Populated with custom member options only if `member_options_type` is set to 'custom'.
  - `member_options_type` (enum, optional)
    - Allowed values: `custom`, `all_project_members`
- `field_type`: `users` (MultiUserValue)
  - `field_definition_id` (string, required) — Field definition ID
  - `field_definition_name` (string, required) — Field definition name
  - `mutable` (boolean, required) — Metadata mutability. System field values cannot be updated.
  - `value` (list of UserValue, required)
  - `custom_members` (list of UserValue, optional) — Populated with custom member options only if `member_options_type` is set to 'custom'.
  - `member_options_type` (enum, optional)
    - Allowed values: `custom`, `all_project_members`

### ProjectWithIncludes

Frame.io Project

- `created_at` (string, required) — Created Timestamp
- `id` (string, required) — Project ID
- `name` (string, required) — Project Name
- `root_folder_id` (string, required) — Root Folder ID
- `status` (enum, required) — Project Status
  - Allowed values: `active`, `inactive`
- `storage` (integer, required, default: 0) — Storage Usage
- `updated_at` (string, required) — Updated Timestamp
- `view_url` (string, required) — URL to view the project in the Frame.io web application
- `workspace_id` (string, required) — Workspace ID
- `description` (string, required, nullable) — Project Description
- `adobe_id` (string, optional, nullable) — Adobe cloud storage directory ID associated with the project, when available.
- `image` (string, optional, nullable) — URL of the project image (icon). Null when no image has been uploaded.
- `restricted` (boolean, optional) — Whether the project is restricted or not
- `owner` (User, optional) — User details

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

### SelectOption

- `display_name` (string, required) — Option display name
- `id` (string, required) — Option ID

### UserValue

- `id` (string, required) — User Id or Account User Group Id
- `type` (enum, required)
  - Allowed values: `user`, `account_user_group`

## Examples

**Response**

```json
{
  "data": [
    {
      "cover_file_id": "0707ec20-db75-4a26-8027-b52c442b03c4",
      "id": "666f17d0-6678-44fc-b355-fc8dbd0780bc",
      "name": "My Folder",
      "parent_id": "0432fd43-58ac-4488-9e93-668dc5500615",
      "restricted": false,
      "created_at": "2023-09-25T19:18:29.614189Z",
      "project_id": "376f481a-21de-4887-935c-94d234d91431",
      "type": "folder",
      "updated_at": "2024-02-07T16:44:41.986478Z",
      "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c",
      "adobe_id": "urn:aaid:sc:US:a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "creator": {
        "active": true,
        "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
        "email": "user_email@example.com",
        "id": "7cf3b0de-bf3e-41ab-9a14-67ed4cc226a9",
        "name": "Jon Doe",
        "adobe_user_id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e"
      },
      "metadata": [
        {
          "field_type": "select",
          "field_definition_id": "196649ff-2b41-488a-a784-84b7f0176ec0",
          "field_definition_name": "Fields definition name",
          "mutable": true,
          "value": [
            {
              "display_name": "Display name",
              "id": "f3d8b680-925d-45b6-b515-6e6ca1268a46"
            }
          ],
          "field_options": [
            {
              "display_name": "Display name",
              "id": "f3d8b680-925d-45b6-b515-6e6ca1268a46"
            },
            {
              "display_name": "Display name 2",
              "id": "a3641a8a-59cb-45af-9686-bf041977633d"
            }
          ]
        }
      ],
      "project": {
        "created_at": "2024-01-25T19:18:29.614189Z",
        "id": "540c373c-9ab9-42a4-abc4-dd9938ad9900",
        "name": "My Project",
        "root_folder_id": "0c2cc52e-1619-4bce-a200-4264b37009c4",
        "status": "active",
        "storage": 15000,
        "updated_at": "2024-02-07T16:44:41.986478Z",
        "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/",
        "workspace_id": "cc06d1e9-59b7-498d-97b0-78e44a04c124",
        "description": "Project Description",
        "adobe_id": "urn:aaid:sc:US:9f4e4d7a-4b6b-4c4f-9f00-b31a91cfc6f3",
        "image": "https://picture.frame.io/image/convert/frameio-uploads-development/projects/d5e6011c-2bc9-4596-be05-77d562627112/project_image_original.png",
        "restricted": false,
        "owner": {
          "active": true,
          "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
          "email": "user_email@example.com",
          "id": "7cf3b0de-bf3e-41ab-9a14-67ed4cc226a9",
          "name": "Jon Doe",
          "adobe_user_id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e"
        }
      }
    }
  ],
  "links": {
    "next": "/v4/accounts/1234/workspaces/5678/projects?after=g3QAAAACZAACaWRtAAAAJGFiMmNiY2QzLWFkODQtNDQwMC05YTRkLWE1ZDRkMGE4ZTIxM2QABG5hbWVtAAAACVByb2plY3QgMg=="
  },
  "total_count": 10
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/c6a427e4-6f47-40e7-a8c1-4cf24ee1cef9/folders/6e6f6902-c542-4fd3-873a-1e4fc1042d8a/folders"

headers = {
    "api-version": "experimental",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/c6a427e4-6f47-40e7-a8c1-4cf24ee1cef9/folders/6e6f6902-c542-4fd3-873a-1e4fc1042d8a/folders';
const options = {
  method: 'GET',
  headers: {'api-version': 'experimental', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/c6a427e4-6f47-40e7-a8c1-4cf24ee1cef9/folders/6e6f6902-c542-4fd3-873a-1e4fc1042d8a/folders"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-version", "experimental")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/c6a427e4-6f47-40e7-a8c1-4cf24ee1cef9/folders/6e6f6902-c542-4fd3-873a-1e4fc1042d8a/folders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-version"] = 'experimental'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.frame.io/v4/accounts/c6a427e4-6f47-40e7-a8c1-4cf24ee1cef9/folders/6e6f6902-c542-4fd3-873a-1e4fc1042d8a/folders")
  .header("api-version", "experimental")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.frame.io/v4/accounts/c6a427e4-6f47-40e7-a8c1-4cf24ee1cef9/folders/6e6f6902-c542-4fd3-873a-1e4fc1042d8a/folders', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'api-version' => 'experimental',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/c6a427e4-6f47-40e7-a8c1-4cf24ee1cef9/folders/6e6f6902-c542-4fd3-873a-1e4fc1042d8a/folders");
var request = new RestRequest(Method.GET);
request.AddHeader("api-version", "experimental");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-version": "experimental",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/c6a427e4-6f47-40e7-a8c1-4cf24ee1cef9/folders/6e6f6902-c542-4fd3-873a-1e4fc1042d8a/folders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```